WorkflowRuns
Creates a workflow run
Creates a new workflow run from provided data
POST
/
v1
/
workflows
/
{workflow_id}
/
workflow_runs
Creates a workflow run
curl --request POST \
--url https://api.rootly.com/v1/workflows/{workflow_id}/workflow_runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "workflow_runs",
"attributes": {
"immediate": true,
"check_conditions": false,
"context": {}
}
}
}
'import requests
url = "https://api.rootly.com/v1/workflows/{workflow_id}/workflow_runs"
payload = { "data": {
"type": "workflow_runs",
"attributes": {
"immediate": True,
"check_conditions": False,
"context": {}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'workflow_runs',
attributes: {immediate: true, check_conditions: false, context: {}}
}
})
};
fetch('https://api.rootly.com/v1/workflows/{workflow_id}/workflow_runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "workflow_runs",
"attributes": {
"workflow_id": "<string>",
"status_message": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"failed_at": "<string>",
"canceled_at": "<string>",
"incident_id": "<string>",
"post_mortem_id": "<string>",
"action_item_id": "<string>",
"alert_id": "<string>",
"pulse_id": "<string>",
"context": {}
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Creates a workflow run
